Main Page Widgets Namespaces Book

# Gtk::Tooltips Class Reference

Inheritance diagram for Gtk::Tooltips:

[legend]

List of all members.

## Detailed Description

Tooltips are the messages that appear next to a widget when the mouse pointer is held over it for a short amount of time.

They are especially helpful for adding more verbose descriptions of things such as buttons in a toolbar.

This widget holds tooltips for other widgets. You should only need one Tooltip widget for all widgets you wish to add tips to.

Deprecated:
  Use the Gtk::Tooltip API instead.

## Public Member Functions

void | disable ()
void | enable ()
void | force_window ()
const GtkTooltips* | gobj () const
| Provides access to the underlying C GtkObject.
GtkTooltips* | gobj ()
| Provides access to the underlying C GtkObject.
void | set_tip (Widget& widget, const Glib::ustring& tip_text)
void | set_tip (Widget& widget, const Glib::ustring& tip_text, const Glib::ustring& tip_private)
| Tooltips ()
void | unset_tip (Widget& widget)
virtual | ~Tooltips ()

## Static Protected Member Functions

static GtkTooltipsData* | data_get (Widget& widget)

## Related Functions

(Note that these are not member functions.)
Gtk::Tooltips* | wrap (GtkTooltips* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gtk::Tooltips::~Tooltips | ( |  | ) | `[virtual]`

Gtk::Tooltips::Tooltips | ( |  | ) |

## Member Function Documentation

static GtkTooltipsData* Gtk::Tooltips::data_get | ( | Widget& | widget | ) | `[static, protected]`

void Gtk::Tooltips::disable | ( |  | ) |

void Gtk::Tooltips::enable | ( |  | ) |

void Gtk::Tooltips::force_window | ( |  | ) |

const GtkTooltips* Gtk::Tooltips::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Object.

GtkTooltips* Gtk::Tooltips::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Object.

void Gtk::Tooltips::set_tip | ( | Widget& | widget,
|  | const Glib::ustring & | tip_text |
| ) |  |  |

void Gtk::Tooltips::set_tip | ( | Widget& | widget,
|  | const Glib::ustring & | tip_text,
|  | const Glib::ustring & | tip_private |
| ) |  |  |

void Gtk::Tooltips::unset_tip | ( | Widget& | widget | ) |

## Friends And Related Function Documentation

Gtk::Tooltips* wrap | ( | GtkTooltips * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- tooltips.h